View Issue Details

IDProjectCategoryView StatusLast Update
0000988PartDesignBugpublic2014-12-26 18:41
Reporterlogari81Assigned Tojrheinlaender 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.14 
Target VersionFixed in Version0.14 
Summary0000988: Groove fails to create a valid solid
DescriptionThe groove in the attached file fails to create a valid solid.
TagsNo tags attached.

Activities

2013-02-14 13:11

 

groove-failed.fcstd (6,112 bytes)

normandc

2013-02-17 16:49

manager   ~0002916

I wonder if it's because the sketch is mapped to a primitive Box.

I just reproduced this example with a padded rectangle and it works.

logari81

2013-02-17 17:05

developer   ~0002917

it actually has to do with the placement of the box. For some angles the groove succeeds, for other angles it fails.

jrheinlaender

2013-02-20 15:27

developer   ~0002925

Its a problem of the sketch shape being coincident with the face of the box being sketched on. If I move the sketch shape just by 2*Precision::Confusion() vertical to the face, everything is fine (except for a performance penalty which doesn't occur if I move by 1 unit instead of Precision::Confusion())

But IMHO its not an option to move the sketch shape. It is not the user's intent and might give unexpected geometry (especially if moving by a whole unit).

Interestingly, the problem also occurs even with the symmetric option, when the sketch shape is rotated away from the face of the box!

jrheinlaender

2013-03-26 14:46

developer   ~0003009

This problem is solved after moving PropertyFloat to double precision

Issue History

Date Modified Username Field Change
2013-02-14 13:11 logari81 New Issue
2013-02-14 13:11 logari81 File Added: groove-failed.fcstd
2013-02-15 09:17 jrheinlaender Status new => assigned
2013-02-15 09:17 jrheinlaender Assigned To => jrheinlaender
2013-02-17 16:49 normandc Note Added: 0002916
2013-02-17 17:05 logari81 Note Added: 0002917
2013-02-20 15:27 jrheinlaender Note Added: 0002925
2013-03-26 14:46 jrheinlaender Note Added: 0003009
2014-12-26 18:41 normandc Status assigned => closed
2014-12-26 18:41 normandc Resolution open => fixed
2014-12-26 18:41 normandc Fixed in Version => 0.14